summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Spencer2014-12-27 01:51:18 +0100
committer Robby Workman2014-12-28 06:16:20 +0100
commitd38fbcde336b4afb9f27d8751127aa88d247967b (patch)
treed8f33d126ecf4ee8b89b821db9d6c0a7df39a3ec
parent7e023aba7246994eb19f20a2521eb7e8f1f31a57 (diff)
downloadslackbuilds-d38fbcde336b4afb9f27d8751127aa88d247967b.tar.gz
libraries/mpir: Added (Multiple Precision Integers and Rationals).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/mpir/README2
-rw-r--r--libraries/mpir/doinst.sh5
-rw-r--r--libraries/mpir/mpir.SlackBuild108
-rw-r--r--libraries/mpir/mpir.info10
-rw-r--r--libraries/mpir/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/libraries/mpir/README b/libraries/mpir/README
new file mode 100644
index 0000000000..90f6106e68
--- /dev/null
+++ b/libraries/mpir/README
@@ -0,0 +1,2 @@
+MPIR (Multiple Precision Integers and Rationals) is an open source bignum
+library forked from the GMP (GNU Multi Precision) project.
diff --git a/libraries/mpir/doinst.sh b/libraries/mpir/doinst.sh
new file mode 100644
index 0000000000..89045ca796
--- /dev/null
+++ b/libraries/mpir/doinst.sh
@@ -0,0 +1,5 @@
+if [ -x /usr/bin/install-info ]; then
+ chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/mpir.info.gz 2> /dev/null
+ chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/mpir.info-1.gz 2> /dev/null
+ chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/mpir.info-2.gz 2> /dev/null
+fi
diff --git a/libraries/mpir/mpir.SlackBuild b/libraries/mpir/mpir.SlackBuild
new file mode 100644
index 0000000000..a8172cfa61
--- /dev/null
+++ b/libraries/mpir/mpir.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for mpir
+
+# Copyright 2014 David Spencer, Baildon, West Yorkshire, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mpir
+VERSION=${VERSION:-2.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --enable-cxx \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# One test (t-scan) is broken in 2.6.0, but not worth patching.
+# Please just ignore it if you're daft enough to do 'make test'.
+# https://groups.google.com/forum/#!topic/mpir-devel/oLk3gMULxu0
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING.LIB ChangeLog INSTALL INSTALL.autoconf NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/mpir/mpir.info b/libraries/mpir/mpir.info
new file mode 100644
index 0000000000..66c9418de3
--- /dev/null
+++ b/libraries/mpir/mpir.info
@@ -0,0 +1,10 @@
+PRGNAM="mpir"
+VERSION="2.6.0"
+HOMEPAGE="http://www.mpir.org/"
+DOWNLOAD="http://mpir.org/mpir-2.6.0.tar.bz2"
+MD5SUM="81be2f605330d030956c1ff515c58564"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
diff --git a/libraries/mpir/slack-desc b/libraries/mpir/slack-desc
new file mode 100644
index 0000000000..1c7b96fff5
--- /dev/null
+++ b/libraries/mpir/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mpir: mpir (Multiple Precision Integers and Rationals)
+mpir:
+mpir: MPIR is an open source bignum library forked from the GMP project.
+mpir:
+mpir: Homepage: http://www.mpir.org/
+mpir:
+mpir:
+mpir:
+mpir:
+mpir:
+mpir: